#include "urlget.h"
#include "category_dialog.h"

CategoryDialog* category_dialog_init (CategoryDialog* dialog, GtkWindow* parent)
{
	GtkWidget* vbox;

	dialog->self = gtk_dialog_new_with_buttons(_("Category properties"),
	                                   parent,
	    (GTK_DIALOG_MODAL | GTK_DIALOG_NO_SEPARATOR | GTK_DIALOG_DESTROY_WITH_PARENT),
	                                   GTK_STOCK_CANCEL,
	                                   GTK_RESPONSE_CANCEL,
	                                   GTK_STOCK_OK,
	                                   GTK_RESPONSE_OK,
	                                   NULL);
	vbox = GTK_DIALOG(dialog->self)->vbox;
	category_setting_view_init (&dialog->setting_view);
	gtk_box_pack_start (GTK_BOX(vbox),
	                    (GtkWidget*)dialog->setting_view.self,
	                    FALSE, FALSE, 0);
//	gtk_container_set_border_width(prop_view.container(), 5);
	gtk_widget_show(vbox);

	return dialog;
}

void category_dialog_destroy (CategoryDialog* dialog)
{
	gtk_widget_destroy (dialog->self);
	g_free (dialog);
}

