#ifndef __UTILITY_H
#define __UTILITY_H

#include <glib.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _UrlPart UrlPart;

struct _UrlPart {
	char *protocol_beg, *protocol_end;
	char *address_beg, *address_end;
	char *port_beg, *port_end;
	char *path_beg, *path_end; // path = folder + name + ext
	char *folder_beg, *folder_end;
	char *name_beg, *name_end;
	char *ext_beg, *ext_end;
	char *current;
};

void url_part (UrlPart* up, const char* str);


gboolean make_path_exist (const gchar* path);

#ifdef __cplusplus
}
#endif

#endif  // End of __UTILITY_H
